Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xquery.expr
Class PredIter

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.xquery.expr.Expr
              org.basex.query.xquery.expr.Arr
                  org.basex.query.xquery.expr.Pred
                      org.basex.query.xquery.expr.PredIter

    public final class PredIter

extends Pred

Predicate expression. Mustn't be called with more than one predicate.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Dennis Stratmann

Nested Class Summary

Nested classes/interfaces inherited from class org.basex.query.xquery.expr.Expr
`Expr.Return, Expr.Using`

Field Summary

Fields inherited from class org.basex.query.xquery.expr.Arr
`expr`

Constructor Summary
`PredIter(Expr r, Expr[] e, boolean last, boolean num)` Constructor.

Method Summary
`Iter` | `iter(XQContext ctx)` Evaluates the expression and returns an iterator on the resulting items.

Methods inherited from class org.basex.query.xquery.expr.Pred
`comp, info, plan, toString, uses`

Methods inherited from class org.basex.query.xquery.expr.Arr
`returned`

Methods inherited from class org.basex.query.xquery.expr.Expr
`e, i`

Methods inherited from class org.basex.query.ExprInfo
`color, name`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PredIter

    public PredIter(Expr r,
                    Expr[] e,
                    boolean last,
                    boolean num)

  Constructor.

  Parameters:
    `r` - Root Expression
    `e` - Expression List
    `last` - lastFlag is true if predicate has a last function
    `num` - numberFlag is true if predicate has a numeric value

Method Detail

### iter

    public Iter iter(XQContext ctx)
              throws XQException

  Description copied from class: `Expr`
  Evaluates the expression and returns an iterator on the resulting items.

  Overrides:
    `iter` in class `Pred`
  Parameters:
    `ctx` - query context
  Returns:
    resulting item
  Throws:
    `XQException` - evaluation exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD